<?php
/**
 * WG Piccolo Theme Theme Customizer
 *
 * @package WG Piccolo Theme
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function wgpiccolo_customize_register( $wgpiccolo_customize ) {
	// Add postMessage support for site title and description.
	$wgpiccolo_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wgpiccolo_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	
	$wgpiccolo_customize->add_section('footer_section' , array(
		'title' => __('Footer Options' , 'wgpiccolo')
		
	) );
	$wgpiccolo_customize->add_setting('about_text' , array(
		'default' => '<strong>Design Team</strong><br />123 Main St, Suite 500<br />New York, NY 12345<br />',
		'transport' => 'postMessage',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('about_text' , array(
		'section' => 'footer_section',
		'label' => __('Please put your about text.' , 'wgpiccolo'),
		'type' => 'textarea'
	));
	
	$wgpiccolo_customize->add_setting('tatest_tweets' , array(
		'default' => 'tweecool',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('tatest_tweets' , array(
		'section' => 'footer_section',
		'label' => __('Please Put Your Twitter username', 'wgpiccolo'),
		'type' => 'text'
	));		
	$wgpiccolo_customize->add_setting('flickr_image' , array(
		'default' => '34427469121@N01',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('flickr_image' , array(
		'section' => 'footer_section',
		'label' => __('Flickr ID' , 'wgpiccolo'),
		'type' => 'text'
	));	
	$wgpiccolo_customize->add_setting('facebook_link' , array(
		'default' => '',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('facebook_link' , array(
		'section' => 'footer_section',
		'label' => __('Facebook URL' , 'wgpiccolo'),
		'type' => 'text'
	));
	$wgpiccolo_customize->add_setting('twitter_link' , array(
		'default' => '',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('twitter_link' , array(
		'section' => 'footer_section',
		'label' => __('Twitter URL' , 'wgpiccolo'),
		'type' => 'text'
	));
	$wgpiccolo_customize->add_setting('dribble_link' , array(
		'default' => '',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('dribble_link' , array(
		'section' => 'footer_section',
		'label' => __('Dribble URL' , 'wgpiccolo'),
		'type' => 'text'
	));	
	$wgpiccolo_customize->add_setting('forrst_link' , array(
		'default' => '',
		'transport' => 'refresh',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'wp_filter_nohtml_kses'
	));
	$wgpiccolo_customize->add_control('forrst_link' , array(
		'section' => 'footer_section',
		'label' => __('Forrst URL' , 'wgpiccolo'),
		'type' => 'text'
	));

	
}
add_action( 'customize_register', 'wgpiccolo_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function wgpiccolo_customize_preview_js() {
	wp_enqueue_script( 'wgpiccolo_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'wgpiccolo_customize_preview_js' );
